# Class PostWeatherLapseDamageAbAttr

#### Hierarchy (view full)

- PostWeatherLapseAbAttr
  - PostWeatherLapseDamageAbAttr

- Defined in src/data/ability.ts:2409

#####
Index

### Constructors

constructor

### Properties

damageFactor
showAbility
weatherTypes

### Methods

addCondition
apply
applyPostWeatherLapse
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostWeatherLapseDamageAbAttr(damageFactor, ...weatherTypes): PostWeatherLapseDamageAbAttr

- #### Parameters

  - damageFactor: number
  - `Rest` ...weatherTypes: WeatherType []

  #### Returns PostWeatherLapseDamageAbAttr

  Overrides PostWeatherLapseAbAttr.constructor

  - Defined in src/data/ability.ts:2412

## Properties

### `Private` damageFactor

damageFactor: number

- Defined in src/data/ability.ts:2410

### showAbility

showAbility: boolean

Inherited from PostWeatherLapseAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Protected` weatherTypes

weatherTypes: WeatherType []

Inherited from PostWeatherLapseAbAttr.weatherTypes

- Defined in src/data/ability.ts:2370

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostWeatherLapseAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostWeatherLapseAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostWeatherLapse

- applyPostWeatherLapse(pokemon, passive, weather, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - weather: Weather
  - args: any[]

  #### Returns boolean

  Overrides PostWeatherLapseAbAttr.applyPostWeatherLapse

  - Defined in src/data/ability.ts:2418

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostWeatherLapseAbAttr.getCondition

  - Defined in src/data/ability.ts:2382

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostWeatherLapseAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137